GET/projects/api/v3/reporting/dashboards/details/timelogs.json

Get timelog details.

Returns a paginated list of timelogs with their full entity data. Supports filtering by project, user, company, task, task list, date range, and free-text search. Sorting and sideloading of related entities are also supported.

Query Params

  • Name
    startDate
    Type
    string
    Description
  • Name
    searchTerm
    Type
    string
    Description
  • Name
    orderMode
    Type
    string
    Description
  • Name
    orderBy
    Type
    string
    Description
  • Name
    endDate
    Type
    string
    Description
  • Name
    pageSize
    Type
    integer
    Description
  • Name
    page
    Type
    integer
    Description
  • Name
    userIds
    Type
    array[integer]
    Description
    Format
    Comma separated values
  • Name
    taskListIds
    Type
    array[integer]
    Description
    Format
    Comma separated values
  • Name
    taskIds
    Type
    array[integer]
    Description
    Format
    Comma separated values
  • Name
    projectIds
    Type
    array[integer]
    Description
    Format
    Comma separated values
  • Name
    include
    Type
    array[string]
    Description
    Format
    Comma separated values
  • Name
    filter
    Type
    array[any]
    Description
    Format
    Comma separated values
  • Name
    companyIds
    Type
    array[integer]
    Description
    Format
    Comma separated values

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    TimelogDetailsResponse contains timelog rows with included entities.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

TimelogDetailsResponse
{  "included": {    "companies": {      "additionalProp": {        "accounts": 0,        "addressOne": "string",        "addressTwo": "string",        "budgetDistribution": [          {            "color": "string",            "companyId": 0,            "count": 0,            "from": 0,            "to": 0          }        ],        "canSeePrivate": true,        "cid": "string",